Bug 540328 - Review Request: gtkhash - GTK+ utility for computing message digests or checksums
Summary: Review Request: gtkhash - GTK+ utility for computing message digests or check...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tareq Al Jurf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 03:16 UTC by Christoph Wickert
Modified: 2010-04-28 01:20 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-25 14:00:51 UTC
taljurf: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2009-11-23 03:16:54 UTC
Spec URL: http://cwickert.fedorapeople.org/review/gtkhash.spec
SRPM URL: http://cwickert.fedorapeople.org/review/gtkhash-0.3.0-1.fc13.src.rpm
Description: GtkHash is a GTK+ utility for computing message digests or checksums using the mhash library. Currently supported hash functions include MD5, SHA1, SHA256, SHA512, RIPEMD, HAVAL, TIGER and WHIRLPOOL.

Comment 1 Michael Schwendt 2009-11-23 13:05:02 UTC
> # enable/disable nautilus extension
> %global _with_nautilus 1
>
> %if 0%{?_with_nautilus:1}
> ...
> %endif

The superior conditional build implementation for this package would do this instead:

  # by default build nautilus extension
  %bcond_without nautilus

  %if %{with nautilus}
  ...
  %endif

And that would give you a "--without nautilus" option for rpmbuild. And if you ever need to disable the subpackage by default, you would simply replace  %bcond_without  with  %bcond_with  and no other changes elsewhere. That would add a "--with nautilus" rpmbuild option.

Comment 2 Christoph Wickert 2009-11-23 17:37:22 UTC
Thanks for the suggestion. Package updated:
http://cwickert.fedorapeople.org/review/gtkhash.spec
http://cwickert.fedorapeople.org/review/gtkhash-0.3.0-2.fc13.src.rpm

I also renamed gtkhash-nautilus-extension to gtkhash-nautilus, but I'm still not 100% sure about the name, see 
https://www.redhat.com/archives/fedora-packaging/2009-November/msg00091.html

Comment 3 Tareq Al Jurf 2010-04-09 19:12:20 UTC
Sorry for the long delay due to a problem with my bugzilla account

Review For:
gtkhash-0.3.0-2.fc13.src.rpm

Must: rpmlint is silent - OK
Must: Named according to package naming guidelines - OK
Must: Spec matches base %{name} - OK
Must: Package meets packaging guidelines - OK
Must: License is Fedora approved - OK
Must: License in spec matches the actual license - OK
Must: There is a license file and it is included in %doc - OK
Must: The spec is written in American English -OK
Must: The spec is legible -OK
Must: The sources match the upstream files by MD5 - OK
657e5278f5f0b83a4954d09353f92294
Must: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. - OK
Must: Successfully compiles and builds into rpms on i686 - OK
Must: All the build dependencies are listed in BuildRequires - OK
Must: Locales are properly handled with %find_lang - OK
Must: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,must call ldconfig in %post and %postun. - N/A
Must: Packages must NOT bundle copies of system libraries. - OK
Must: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. - N/A
Must: owns all directories it creates - OK
Must: not list a file in %files section twice. - OK
Must: permissions correctly set in %files using %defattr()
Must: has a %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT) - OK
Must: consistently use macros. - OK
Must: The package must contain code, or permissable content. - OK
Must: Large documentation files must go in a -doc subpackage. - N/A
Must: Files in %doc don't affect the runtime of the application. - OK
Must: Header files must be in a -devel package. - N/A
Must: Static libraries must be in a -static package. - N/A
Must: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. - N/A
Must: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. - N/A
Must: .la files removed - OK
Must: Desktop file properly installed. - OK
Must: The ackage doesn't own files or directories which are already owned by other
packages.
Must: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). - OK
Must: All filenames in rpm packages must be valid UTF-8. - OK


Should: Has the license as a seperate text file. - OK
Should: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. - N/A
Should: The reviewer should test that the package builds in mock. - OK
Should: The package should compile and build into binary rpms on all supported architectures. - OK
Should: Functions as described. - OK
Should: Scriptlets are sane. - OK
Should: pkgconfig(.pc) should be placed in a -devel pkg. - N/A
Should: Usually, subpackages other than devel should require the base package using a fully versioned dependency. - OK
Should: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. - N/A
Should: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense. - N/A

The package is APPROVED.

Comment 4 Christoph Wickert 2010-04-10 00:09:52 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: gtkhash
Short Description: GTK+ utility for computing message digests or checksums
Owners: cwickert
Branches: F-11 F-12 F-13
InitialCC:

Comment 5 Kevin Fenzi 2010-04-11 19:14:32 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-04-11 20:23:16 UTC
gtkhash-0.3.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc13

Comment 7 Fedora Update System 2010-04-11 20:23:18 UTC
gtkhash-0.3.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc12

Comment 8 Fedora Update System 2010-04-11 20:23:22 UTC
gtkhash-0.3.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc11

Comment 9 Fedora Update System 2010-04-13 01:41:04 UTC
gtkhash-0.3.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtkhash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc11

Comment 10 Fedora Update System 2010-04-13 01:42:52 UTC
gtkhash-0.3.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtkhash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc12

Comment 11 Fedora Update System 2010-04-13 01:45:54 UTC
gtkhash-0.3.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtkhash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gtkhash-0.3.0-2.fc13

Comment 12 Fedora Update System 2010-04-25 14:00:44 UTC
gtkhash-0.3.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-28 01:12:13 UTC
gtkhash-0.3.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-28 01:20:38 UTC
gtkhash-0.3.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.